{
  "name": "液體匯入小部件",
  "icon": "pneumaticcraft:textures/progwidgets/liquid_import_piece.png",
  "category": "pneumaticcraft:widget_interact",
  "advancement": "pneumaticcraft:programmer",
  "pages": [
    {
      "type": "text",
      "text": "$(thing)液體匯入小部件/$ 將使 $(l:tools/drone)無人機/$ 移動到指定 $(l:programming/area)區域/$ 內的最近水桶，提取該水桶中的液體並將其放入自身的水桶中。$(p)它還可以從世界中的液體方塊中吸取液體，使得 $(item)無人機/$ 像一個便攜泵一樣工作。"
    },
    {
      "type": "text",
      "text": "$(thing)右鍵/$ 小部件以開啟設定 GUI，您可以在此指定無人機應從哪些側面提取液體，以及每次操作的最大匯入液體量（以毫升為單位）。$(p)您可以 $(ttcolor)$(t:右側連線以列入白名單，左側連線以列入黑名單)連線/$ 一個 $(l:programming/liquid_filter)液體過濾器/$ 以限制無人機可以匯入的內容。$(p)當 $(item)無人機/$ 的水桶滿了或在水桶中找不到更多（適用的）液體時，此小部件將完成。"
    },
    {
      "type": "image",
      "images": [
        "pneumaticcraft:textures/progwidgets/liquid_import_piece.png"
      ],
      "text": "$(italic)抽吸/$"
    }
  ]
}